Firefox 6 Rated 4 out of 5 stars

Not compatible with firefox 6. Update it please. Thanks :)

This review is for a previous version of the add-on (1.8).